---------------------
PatchSet 4638 
Date: 2002/08/11 19:13:56
Author: serassio
Branch: cygwin-svc
Tag: (none) 
Log:
Synced with nt work

Members: 
	configure.in:1.8.2.10.2.23->1.8.2.10.2.24 
	src/cf.data.pre:1.10.2.3.2.22->1.10.2.3.2.23 
	src/main.c:1.12.2.12.2.17->1.12.2.12.2.18 

Index: squid/configure.in
===================================================================
RCS file: /cvsroot/squid-sf//squid/configure.in,v
retrieving revision 1.8.2.10.2.23
retrieving revision 1.8.2.10.2.24
diff -u -r1.8.2.10.2.23 -r1.8.2.10.2.24
--- squid/configure.in	10 Aug 2002 14:47:45 -0000	1.8.2.10.2.23
+++ squid/configure.in	11 Aug 2002 19:13:56 -0000	1.8.2.10.2.24
@@ -3,7 +3,7 @@
 dnl
 dnl  Duane Wessels, wessels@nlanr.net, February 1996 (autoconf v2.9)
 dnl
-dnl  $Id: configure.in,v 1.8.2.10.2.23 2002/08/10 14:47:45 serassio Exp $
+dnl  $Id: configure.in,v 1.8.2.10.2.24 2002/08/11 19:13:56 serassio Exp $
 dnl
 dnl
 dnl
@@ -11,7 +11,7 @@
 AC_CONFIG_AUX_DIR(cfgaux)
 AM_INIT_AUTOMAKE(squid, 2.6-DEVEL)
 AM_CONFIG_HEADER(include/autoconf.h)
-AC_REVISION($Revision: 1.8.2.10.2.23 $)dnl
+AC_REVISION($Revision: 1.8.2.10.2.24 $)dnl
 AC_PREFIX_DEFAULT(/usr/local/squid)
 AM_MAINTAINER_MODE
 
@@ -869,16 +869,6 @@
   fi
 ])
 
-dnl Enable WIN32 Service compile mode
-AC_ARG_ENABLE(win32-service,
-[  --enable-win32-service  Compile Squid as a WIN32 Service
-                          Works only on Windows NT and Windows 2000 Platforms.],
-[ if test "$enableval" = "yes" ; then
-    echo "Enabling WIN32 run service mode"
-    AC_DEFINE(USE_WIN32_SERVICE)
-  fi
-])
-
 dnl Select Default hosts file location
 AC_ARG_ENABLE(default-hostsfile,
 [  --enable-default-hostsfile=path
@@ -899,6 +889,16 @@
 ],[OPT_DEFAULT_HOSTS="/etc/hosts"])
 AC_SUBST(OPT_DEFAULT_HOSTS)
 
+dnl Enable WIN32 Service compile mode
+AC_ARG_ENABLE(win32-service,
+[  --enable-win32-service  Compile Squid as a WIN32 Service
+                          Works only on Windows NT and Windows 2000 Platforms.],
+[ if test "$enableval" = "yes" ; then
+    echo "Enabling WIN32 run service mode"
+    AC_DEFINE(USE_WIN32_SERVICE)
+  fi
+])
+
 dnl Select auth schemes modules to build
 AC_ARG_ENABLE(auth,
 [  --enable-auth=\"list of auth scheme modules\"
Index: squid/src/cf.data.pre
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/cf.data.pre,v
retrieving revision 1.10.2.3.2.22
retrieving revision 1.10.2.3.2.23
diff -u -r1.10.2.3.2.22 -r1.10.2.3.2.23
--- squid/src/cf.data.pre	10 Aug 2002 14:47:45 -0000	1.10.2.3.2.22
+++ squid/src/cf.data.pre	11 Aug 2002 19:13:56 -0000	1.10.2.3.2.23
@@ -1,6 +1,6 @@
 
 #
-# $Id: cf.data.pre,v 1.10.2.3.2.22 2002/08/10 14:47:45 serassio Exp $
+# $Id: cf.data.pre,v 1.10.2.3.2.23 2002/08/11 19:13:56 serassio Exp $
 #
 #
 # SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -1183,7 +1183,7 @@
 	                   (%SystemRoot% value install default is c:\windows)
 	- Windows 9x/Me:   %windir%\hosts
 	                   (%windir% value is usually c:\windows)
-	- Cygwin:          /etc/hosts and, if not found here, Windows default
+	- Cygwin:          /etc/hosts
 
 	The file contains newline-separated definitions, in the
 	form ip_address_in_dotted_form name [name ...] names are
Index: squid/src/main.c
===================================================================
RCS file: /cvsroot/squid-sf//squid/src/main.c,v
retrieving revision 1.12.2.12.2.17
retrieving revision 1.12.2.12.2.18
diff -u -r1.12.2.12.2.17 -r1.12.2.12.2.18
--- squid/src/main.c	10 Aug 2002 14:47:46 -0000	1.12.2.12.2.17
+++ squid/src/main.c	11 Aug 2002 19:13:56 -0000	1.12.2.12.2.18
@@ -1,6 +1,6 @@
 
 /*
- * $Id: main.c,v 1.12.2.12.2.17 2002/08/10 14:47:46 serassio Exp $
+ * $Id: main.c,v 1.12.2.12.2.18 2002/08/11 19:13:56 serassio Exp $
  *
  * DEBUG: section 1     Startup and Main Loop
  * AUTHOR: Harvest Derived
@@ -67,8 +67,6 @@
 
 static void mainRotate(void);
 static void mainReconfigure(void);
-static SIGHDLR rotate_logs;
-static SIGHDLR reconfigure;
 static void mainInitialize(void);
 static void usage(void);
 static void mainParseOptions(int, char **);
@@ -463,9 +461,9 @@
 setEffectiveUser(void)
 {
     leave_suid();		/* Run as non privilegied user */
-#if defined(_SQUID_OS2_) || defined(_SQUID_MSWIN_)
+#ifdef _SQUID_OS2_
     return;
-#else
+#endif
     if (geteuid() == 0) {
 	debug(0, 0) ("Squid is not safe to run as root!  If you must\n");
 	debug(0, 0) ("start Squid as root, then you must configure\n");
@@ -473,7 +471,6 @@
 	debug(0, 0) ("'cache_effective_user' option in the config file.\n");
 	fatal("Don't run Squid as root, set 'cache_effective_user'!");
     }
-#endif
 }
 
 static void
@@ -1087,8 +1084,8 @@
     fwdUninit();
 #endif
     storeDirSync();		/* Flush log close */
-#if PURIFY || XMALLOC_TRACE
     storeFsDone();
+#if PURIFY || XMALLOC_TRACE
     configFreeMemory();
     storeFreeMemory();
     /*stmemFreeMemory(); */
